/****************************************************
*	Specifies the functions that contribute to the
* prior on the ages of the internal nodes.
*
* mrm, LANL, All Saints Day 2000
*/
# ifndef _Age_prior_	/* Include these lines just once */
# define _Age_prior_
/************************************************
*	Prototypes from age_prior.c
*/
extern int init_age_prior(void);
extern double age_prior_ratio(double *crnt_ages, double *prop_ages);
extern double single_move_age_prior_ratio(
		double *crnt_ages, double *prop_ages, int moving_node);
extern void age_prior_cleanup(void);

# endif /* _Age_prior_ */
