/***********************************************
*	Prototypes from arrayutl.c and inv3.c
*/

# ifndef _arrayutl_hdr_	/* Include these lines just once */
# define _arrayutl_hdr_
/******************************************************
*	All save the last of these are in arrayutl.c
*/
char *cvec(int high);
void freecvec(char *vecname);
float *fvec(int high);
void freefvec(float *vecname);
double *dvec(int high);
void freedvec(double *vecname);
int *ivec(int high);
void freeivec(int *vecname);
float **fmat(int highrow, int highcol);
void freefmat(float **matname, int highrow, int highcol);
void freecmat(char **matname, int highrow, int highcol);
char **cmat(int highrow, int highcol);
int ***threeimat(int high, int highrow, int highcol);
double ****fourdmat(int high1, int high2, int highrow, int highcol);
double ***threedmat(int high, int highrow, int highcol);
double **dmat(int highrow, int highcol);
void freedmat(double **matname, int highrow, int highcol);
void freethreeimat(int ***matname, int high, int highrow, int highcol);
void freefourdmat(double ****matname, int high1, int high2, int highrow, int highcol);
void freethreedmat(double ***matname, int high, int highrow, int highcol);
int **imat(int highrow, int highcol);
void freeimat(int **matname, int highrow, int highcol);

void invert(double **mat, int highrow);	/* from inv3.c or inv4.c */

# endif /* arrayutl_hdr_ */
