/********************************************
*	A header to do console I/O on both Macs
* and unix boxen.
*
* mrm: 18/4/99, HiFi cafe, Bay View WI
********************************************/

# ifndef _platform_hdr_	/* Include these lines just once */
# define _platform_hdr_
/*********************************************
*	Put any special include files here
*/
	#  ifdef __MWERKS__
	/*******************
	*	On a Mac
	*/
		# include <unix.h>
		# include <console.h>
		# include <profiler.h>
	# endif	/* # ifdef __MWERKS__ */


/*********************************************
*	The args for main()
*/
	# ifndef __MWERKS__
	/*******************
	*	On a non-Mac
	*/
		# define MAIN_ARGS	int argc, char *argv[]
	# else
	/*******************
	*	On a Mac
	*/
		# define MAIN_ARGS	/* nowt	*/
	# endif	/* # ifndef __MWERKS__ */

/*********************************************
*	The stuff that gets command line args
* and permits redirection of stdio.
*/ 
	# ifndef __MWERKS__
	/**********************************************
	*	On a non-Mac these tasks are done
	* automatically, so no preamble is required
	*/
		# define MAIN_PREAMBLE		/* nowt	*/
		# define GET_COMMAND_LINE	/* nowt	*/
		
	# else
	/**********************************************
	*	On a Mac, we have to do some stuff
	*/
		/* Declares variables and does some setup */		
		# define MAIN_PREAMBLE		\
				int		argc ; \
				char	**argv ; \
				 					\
				/* Force output files to belong to BBEdit 	*/ \
				_fcreator = 'R*ch' ;	 \
				_ftype = 'TEXT' ; 
			
		/* Gets command line and, optionally, redirects stdio */	
		# define GET_COMMAND_LINE		 \
				argc = ccommand( &argv ) ; 
		
	# endif	/* # ifndef __MWERKS__ */

# endif /* # ifndef _platform_hdr_ */
