/********************************************************
*	A header for Sean Cokus's recoding of Matsumoto and 
* Nishimura's Mersenne Twister random number algorithm.
*/
# ifndef _Mersenne_twister_	/* Include these lines just once */
# define _Mersenne_twister_
/************************************************
*	Include some useful system headers
*/
# include <limits.h> 

/************************************************
*	The return type of these functions.
*/
typedef unsigned long uint32 ;

/************************************************
*	A useful macro for uniform distribs.
*/
# define MT_MAX		ULONG_MAX	/* on the Mac */

/************************************************
*	Prototypes from mersenne.c
*/
extern void seedMT(uint32 seed);
extern uint32 reloadMT(void);
extern uint32 randomMT(void);

# endif /* _Mersenne_twister_ */
