/*******************************************************
*	A wrapper for assert.h, the standard
* assertion-checking machine.
*
* mrm: UMIST, 23 August, 1999
*/
# ifndef _tunable_debug_header_ /* Include these lines just once. */
# define _tunable_debug_header_ 
/******************************************************
*	Defining NDEBUG turns assertion-checking off, so 
* this section turns debugging off unless the macro
* DEBUG is defined and exceeds a threshold.
*/
# if(	!defined( DEBUG ) || \
		(defined(DEBUG_LEVEL) && (DEBUG < DEBUG_LEVEL)) )
/***************************************
*	Switch debugging off.
*/
	# define NDEBUG 
# endif

# include <assert.h>

# endif /* _debug_header_ */
